# Everything here uses HTTP(..) because they use fonts in ../fonts/.  We
# can't use file:/// URLs because of cross-directory access restrictions
# on file: URLs.

HTTP(..) != download-1.html download-1-notref.html
HTTP(..) == download-2.html download-2-ref.html
HTTP(..) != download-2.html about:blank
fails-if(MOZ_WIDGET_TOOLKIT=="windows") HTTP(..) == download-2-big.html download-2-big-otf.html # bug 470713
HTTP(..) != download-2-big-otf.html about:blank
HTTP(..) == fallback-to-system-1.html fallback-to-system-1-ref.html
HTTP(..) == name-override-simple-1.html name-override-simple-1-ref.html
HTTP(..) != name-override-simple-1.html download-1-notref.html
fails HTTP(..) == name-override-1.html name-override-1-ref.html
HTTP(..) == multiple-descriptor-1.html multiple-descriptor-1-ref.html
HTTP(..) != multiple-descriptor-1.html multiple-descriptor-1-notref.html
HTTP(..) == src-list-1.html src-list-1-ref.html
HTTP(..) == src-list-2.html src-list-2-ref.html
fails-if(MOZ_WIDGET_TOOLKIT=="windows") HTTP(..) == src-list-2-big-otf.html src-list-2-big-ref.html # bug 470713
fails HTTP(..) == src-list-format-1.html src-list-format-1-ref.html # bug 465452
fails HTTP(..) == src-list-format-2.html src-list-format-2-ref.html # bug 465452
HTTP(..) == src-list-format-3.html src-list-format-3-ref.html
HTTP(..) == src-list-format-4.html src-list-format-1-ref.html
HTTP(..) == src-list-format-5.html src-list-format-2-ref.html
fails HTTP(..) == src-list-format-6.html src-list-format-3-ref.html # bug 465452
# FIXME: The behavior here is neither mandated nor specified by the spec, but
# it really ought to be.
HTTP(..) == order-1.html order-1-ref.html
fails HTTP(..) == order-2.html order-2-ref.html # bug 465414
fails HTTP(..) == order-3.html order-3-ref.html # bug 465414
HTTP(..) == multiple-in-family-1.html multiple-in-family-1-ref.html
HTTP(..) == multiple-in-family-1b.html multiple-in-family-1-ref.html
HTTP(..) != multiple-in-family-1.html multiple-in-family-1-notref.html
HTTP(..) == prop-order-over-rule-order-1a.html prop-order-over-rule-order-2a.html
HTTP(..) == prop-order-over-rule-order-1b.html prop-order-over-rule-order-2b.html
HTTP(..) != prop-order-over-rule-order-1a.html prop-order-over-rule-order-1b.html
HTTP(..) == cross-iframe-1.html cross-iframe-1-ref.html

# Dynamic changes
HTTP(..) == enable-sheet-1.html enable-sheet-1-ref.html
# we need to skip these because of the bug that's causing order-2.html to fail
skip HTTP(..) == enable-sheet-2.html multiple-in-family-1-ref.html
skip HTTP(..) == enable-sheet-3.html multiple-in-family-1-ref.html
HTTP(..) == enable-sheet-4.html enable-sheet-4-ref.html
HTTP(..) == enable-sheet-5.html enable-sheet-4-ref.html
skip HTTP(..) == enable-sheet-6.html multiple-in-family-1-ref.html
skip HTTP(..) == enable-sheet-7.html multiple-in-family-1-ref.html
HTTP(..) == disable-sheet-1.html disable-sheet-1-ref.html
# We're missing disable-sheet-{2,3,6,7} (analogs to
# enable-sheet{2,3,6,7}) because I don't know how to detect test
# completion for those cases.
HTTP(..) == disable-sheet-4.html disable-sheet-4-ref.html
HTTP(..) == disable-sheet-5.html disable-sheet-4-ref.html
HTTP(..) == sheet-set-base-1.html sheet-set-base-1-ref.html
random-if(MOZ_WIDGET_TOOLKIT=="gtk2") HTTP(..) == sheet-set-switch-1.html sheet-set-switch-1-ref.html # gtk2 failure is bug 468217
HTTP(..) == insert-rule-1.html insert-rule-1-ref.html
HTTP(..) == delete-rule-1.html delete-rule-1-ref.html
HTTP(..) == media-query-add-1.html media-query-add-1-ref.html
HTTP(..) == media-query-remove-1.html media-query-remove-1-ref.html
HTTP(..) != media-query-add-1-ref.html media-query-remove-1-ref.html

HTTP(..) == ahem-metrics-1.html ahem-metrics-1-ref.html
HTTP(..) == ex-unit-1.html ex-unit-1-ref.html
HTTP(..) == ex-unit-1-dynamic.html ex-unit-1-ref.html
